#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <io.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <conio.h>
#include <ctype.h>

#pragma comment( lib, "../bin/pdfpage.lib" )

typedef HANDLE HPDF;

void WINAPI PDF_SetCode(char *lpCode);
void WINAPI PDF_SetMode(int nMode);
HPDF WINAPI PDF_Open(char *lpPDFName);
BOOL WINAPI PDF_ExtractPages(HPDF hPDF, char *lpOutPDF, char *lpPageRange);
void WINAPI PDF_Close(HPDF hPDF);
BOOL WINAPI PDF_MergePDFFiles(LPSTR pPDFFiles, LPCTSTR pOutPDF);
BOOL WINAPI PDF_MergePDFFiles2(LPSTR pPDFFiles, LPCTSTR pOutPDF, char *lpCmd);

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	BOOL bRet = FALSE;

	char szInPDF1[MAX_PATH];
	char szInPDF2[MAX_PATH];
	char szOutPDF[MAX_PATH];
	if(argc == 4)
	{
		strcpy(szInPDF1, argv[1]);
		strcpy(szInPDF2, argv[2]);
		strcpy(szOutPDF, argv[3]);
	}
	else
	{
		GetModulePath(szInPDF1, "example-fw9_1.pdf");
		GetModulePath(szInPDF2, "example-fw9_2.pdf");
		GetModulePath(szOutPDF, "out-UniqueFormNames.pdf");
	}

	PDF_SetMode(1);
	PDF_SetCode("Set your License Key at here");

    //Merge several PDF files into one PDF file
	char szMergePDFs[2048];
	strcpy(szMergePDFs, szInPDF1);
	strcat(szMergePDFs, "|");
	strcat(szMergePDFs, szInPDF2);
	bRet = PDF_MergePDFFiles2(szMergePDFs, szOutPDF, "UniqueForms=Y");
}